  /* navbar styling */
  nav {
        background-color: #ffffff;
        color: white;
        padding: 10px;
        width: 100%;

    }

    nav ul {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: space-between;
        align-items: center
    }
    
    nav ul li {
        position: relative;
    }

    nav ul li a {
        display: block;
    }

    nav ul li a:hover {
        text-decoration: underline;
    }
/* dropdown styling for categories */
    .dropdown {
        margin-right: 10px
    }
    .dropdown-menu {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        background-color: #ffffff;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        list-style: none;
        padding: 10px 0;
        margin: 0;
        z-index: 1000;
    }

    .dropdown-toggle {
    background-color: white;
    color: black;
    padding: 10px 20px;
    border: 2px solid black;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s; 
}

.dropdown-toggle:hover {
    background-color: black;
    color: white;
}
    .dropdown-menu li {
        padding: 0;
    }

    .dropdown-menu li a {
        padding: 10px 24px;
        color: black;
        text-decoration: none;
        display: block;
    }

    .dropdown-menu li a:hover {
        background-color: #f4f4f4;
    }

        .dropdown-menu li p:hover {
        background-color: #000000;
    }

     /* Profile dropdown menu */
     .profile-dropdown {
        position: relative;
    }

    .profile-menu {
        display: none;
        position: absolute;
        top: 50px;
        background-color: #f4f4f4;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        list-style: none;
        padding: 10px 0;
        margin: 0;
        border-radius: 5px;
        z-index: 1000;
        width: 150px
    }

    .profile-menu li {
        padding: 0;
    }

    .profile-menu li a {
        padding: 10px 20px;
        color: black;
        text-decoration: none;
        display: block;
        transition: background-color 0.3s;
    }

    .profile-menu li a:hover {
        background-color: #e0e0e0;
    }
/* styling for the logout button */
    .logout-button {
        background-color: red;
        color: white;
        border: none;
        padding: 10px 20px;
        width: 100%;
        text-align: left;
        cursor: pointer;
        border-radius: 5px;
        transition: background-color 0.3s;
    }

    .logout-button:hover {
        background-color: darkred;
    }

/* Show dropdown menu when the parent <li> has the active class */
.profile-dropdown.active .profile-menu,
.dropdown.active .dropdown-menu {
    display: block;
}
/* styling for logo */
.talland-logo {
    height: 40px;
}

@media (min-width: 992px) {
    .talland-logo {
        height: 60px;
    }
}